Skip to main content
Planned Feature — Coming Soon

🚧 This feature is not yet released. The documentation below describes planned behavior and may change before launch.

Drives API

Create and manage file storage for agents.

Base URL: https://backend.flymy.ai/v1

Create Drive​

POST /drives
FieldTypeRequiredDescription
namestringYesDrive name
descriptionstringNoDrive description

Example​

curl -X POST https://backend.flymy.ai/v1/drives \
-H "x-api-key: fly-***" \
-H "Content-Type: application/json" \
-d '{"name": "Q1 Reports", "description": "Financial reports for analysis"}'

Response​

{
"id": "drive_abc123",
"name": "Q1 Reports",
"description": "Financial reports for analysis",
"created_at": "2025-01-15T10:00:00Z"
}

Get Drive​

GET /drives/{drive_id}

List Drives​

GET /drives

Delete Drive​

DELETE /drives/{drive_id}

Upload File​

POST /drives/{drive_id}/files

Multipart form upload. Max file size: 100 MB.

FieldTypeRequiredDescription
pathstringYesFile path within the drive
filefileYesFile content
curl -X POST https://backend.flymy.ai/v1/drives/drive_abc123/files \
-H "x-api-key: fly-***" \
-F "path=reports/revenue.csv" \
-F "file=@revenue.csv"

Response​

{
"path": "reports/revenue.csv",
"size": 45230,
"created_at": "2025-01-15T10:00:00Z"
}

Get File​

GET /drives/{drive_id}/files/{path}

Returns the file content with appropriate Content-Type.

Update File​

PUT /drives/{drive_id}/files/{path}

Replace an existing file.

Delete File​

DELETE /drives/{drive_id}/files/{path}

List Items​

GET /drives/{drive_id}/items
ParameterTypeDefaultDescription
pathstring/Directory path to list

Response​

{
"items": [
{"path": "reports/revenue.csv", "type": "file", "size": 45230},
{"path": "reports/expenses.csv", "type": "file", "size": 12800},
{"path": "reports/archive/", "type": "directory"}
]
}

Delete Tree​

Delete an entire directory and its contents:

DELETE /drives/{drive_id}/tree/{path}
curl -X DELETE https://backend.flymy.ai/v1/drives/drive_abc123/tree/reports/archive/ \
-H "x-api-key: fly-***"